// -*- c++ -*-

#ifndef REDFSTYLESHEET_H
#define REDFSTYLESHEET_H

#include <qcolor.h>
#include <qstylesheet.h>

/**
 * Controls the way an RDF document will be rendered.
 *
 * Tags: RDF, channel, title, link, description, url, image, item
 *
 * @version $Id: rdfstylesheet.h,v 1.1.1.1 2001/11/29 18:18:10 rich Exp $
 * @author Richard Moore, rich@kde.org
 */
class RDFStyleSheet : public QStyleSheet
{
public:
    RDFStyleSheet() : QStyleSheet()
    {
	QStyleSheetItem *style;
	
	style = new QStyleSheetItem( this, "RDF" );
	style->setDisplayMode( QStyleSheetItem::DisplayBlock );

	style = new QStyleSheetItem( this, "channel" );
	style->setDisplayMode( QStyleSheetItem::DisplayBlock );
	style->setFontWeight( QFont::Bold );
	style->setAlignment( Qt::AlignCenter );
	style->setLogicalFontSizeStep( 1 );

	style = new QStyleSheetItem( this, "item" );
	style->setDisplayMode( QStyleSheetItem::DisplayListItem );

	style = new QStyleSheetItem( this, "title" );
	style->setAnchor( true );
	style->setColor( QColor("blue") );

	style = new QStyleSheetItem( this, "description" );
	style->setDisplayMode( QStyleSheetItem::DisplayNone );

	style = new QStyleSheetItem( this, "link" );
	style->setDisplayMode( QStyleSheetItem::DisplayNone );

	style = new QStyleSheetItem( this, "url" );
	style->setDisplayMode( QStyleSheetItem::DisplayNone );

	style = new QStyleSheetItem( this, "image" );
	style->setDisplayMode( QStyleSheetItem::DisplayNone );
    }

    ~RDFStyleSheet() {}
};

#endif // REDFSTYLESHEET_H

// Local Variables:
// c-basic-offset: 4
// End:

