#include <qmultilineedit.h>
#include <qstylesheet.h>
#include <qtabwidget.h>

#include <kdebug.h>
#include <klibloader.h>
#include <klocale.h>

#include <rjmutils/srctexteditpart.h>

#include "xmldoctype.h"

XMLDocType::XMLDocType( const DocTypeInfo &info )
    : DocType( info )
{
}

QStyleSheet *XMLDocType::styleSheet()
{
    return QStyleSheet::defaultSheet();
}

DocTypeViewManager *XMLDocType::createViewManager()
{
    return new XMLViewManager( this );
}

//
// View Manager
//

XMLViewManager::XMLViewManager( DocType *type )
    : DocTypeViewManager( type )
{
}

XMLViewManager::~XMLViewManager()
{
}

void XMLViewManager::openURL( const KURL &url )
{
    sourcePart()->openURL( url );
}

void XMLViewManager::installViews( QTabWidget *parent, KParts::PartManager *mng )
{
    installSourceView( parent, mng );
}

void XMLViewManager::uninstallViews( QTabWidget *parent, KParts::PartManager *mng )
{
    uninstallSourceView( parent, mng );
}

KParts::Part *XMLViewManager::findPart( QWidget *w )
{
    return DocTypeViewManager::findPart( w );
}

// Local Variables:
// c-basic-offset: 4
// End:

