// -*- c++ -*-

#ifndef XMLDOCTYPE_H
#define XMLDOCTYPE_H

#include "doctypeviewmanager.h"
#include "../doctype.h"

class DocTypeInfo;

/**
 * A generic DocType for XML markup.
 */
class XMLDocType : public DocType
{
public:
    XMLDocType( const DocTypeInfo &info );
    ~XMLDocType() {}

    virtual QStyleSheet *styleSheet();
    virtual DocTypeViewManager *createViewManager();
};

/**
 * Manages the views for generic XML documents.
 *
 * @author Richard Moore, rich@kde.org
 * @version $Id: xmldoctype.h,v 1.1.1.1 2001/11/29 18:18:11 rich Exp $
 */
class XMLViewManager : public DocTypeViewManager
{
public:
    XMLViewManager( DocType *type );
    virtual ~XMLViewManager();

    virtual void openURL( const KURL &url );

    virtual void installViews( QTabWidget *parent, KParts::PartManager *mng );
    virtual void uninstallViews( QTabWidget *parent, KParts::PartManager *mng );

    virtual KParts::Part *findPart( QWidget *w );

private:
};

#endif // XMLDOCTYPE_H

// Local Variables:
// c-basic-offset: 4
// End:
